<?php
declare(strict_types=1);

namespace App\Service\Export\Model;

class LicenceCmfCollection implements ExportModelInterface
{
    /**
     * Les différentes licences contenues dans la collection
     *
     * @var list<LicenceCmf>
     */
    private array $licences = [];

    /**
     * @return list<LicenceCmf>
     */
    public function getLicences(): array
    {
        return $this->licences;
    }

    /**
     * @param list<LicenceCmf> $licences
     */
    public function setLicences(array $licences): void
    {
        $this->licences = $licences;
    }

    /**
     * @param LicenceCmf $licence
     */
    public function addLicence(LicenceCmf $licence): void
    {
        $this->licences[] = $licence;
    }
}
